
#include <cmath> 
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++

static int cs[32765]; 
static int cs_c=0; 
static double fds[32765]; 
static int fds_c=0; 
static int ids[32765]; 
static int ids_c=0; 

#define CS_PUSH(v)	cs[cs_c]=v; cs_c=cs_c+1
#define FDS_PUSH(v)	fds[fds_c]=v; fds_c=fds_c+1
#define IDS_PUSH(v)	ids[ids_c]=v; ids_c=ids_c+1
#define FDS_POP(v)	fds_c=fds_c-1; v=fds[fds_c]
#define IDS_POP(v)	ids_c=ids_c-1; v=ids[ids_c]
#define CS_POP	cs_c=cs_c-1
#define CS_TOP	cs[cs_c]
#define CS_SIZE	cs_c
#include "rhs.cpp"
void a1_rhs(int& bmode_1, double* f, double* a1_f, double* x, double* a1_x, double* u, double* a1_u)
  {
   double Fbin=0.0; 
   double a1_Fbin=0; 
   double Tw=0.0; 
   double a1_Tw=0; 
   double Tin=35; 
   double a1_Tin=0; 
   double b2=6.6667; 
   double a1_b2=0; 
   double v1_0=0; 
   double a1_v1_0=0; 
   double v1_1=0; 
   double a1_v1_1=0; 
   double v1_2=0; 
   double a1_v1_2=0; 
   double v1_3=0; 
   double a1_v1_3=0; 
   double v1_4=0; 
   double a1_v1_4=0; 
   double v1_5=0; 
   double a1_v1_5=0; 
   double v1_6=0; 
   double a1_v1_6=0; 
   double v1_7=0; 
   double a1_v1_7=0; 
   double v1_8=0; 
   double a1_v1_8=0; 
   double v1_9=0; 
   double a1_v1_9=0; 
   double v1_10=0; 
   double a1_v1_10=0; 
   double v1_11=0; 
   double a1_v1_11=0; 
   double v1_12=0; 
   double a1_v1_12=0; 
   double v1_13=0; 
   double a1_v1_13=0; 
   double v1_14=0; 
   double a1_v1_14=0; 
   double v1_15=0; 
   double a1_v1_15=0; 
   double v1_16=0; 
   double a1_v1_16=0; 
   double v1_17=0; 
   double a1_v1_17=0; 
   double v1_18=0; 
   double a1_v1_18=0; 
   double v1_19=0; 
   double a1_v1_19=0; 
   double v1_20=0; 
   double a1_v1_20=0; 
   double v1_21=0; 
   double a1_v1_21=0; 
   double v1_22=0; 
   double a1_v1_22=0; 
   double v1_23=0; 
   double a1_v1_23=0; 
   double v1_24=0; 
   double a1_v1_24=0; 
   double v1_25=0; 
   double a1_v1_25=0; 
   double v1_26=0; 
   double a1_v1_26=0; 
   double v1_27=0; 
   double a1_v1_27=0; 
   double v1_28=0; 
   double a1_v1_28=0; 
   double v1_29=0; 
   double a1_v1_29=0; 
   double v1_30=0; 
   double a1_v1_30=0; 
   double v1_31=0; 
   double a1_v1_31=0; 
   double v1_32=0; 
   double a1_v1_32=0; 
   double v1_33=0; 
   double a1_v1_33=0; 
   double v1_34=0; 
   double a1_v1_34=0; 
   double v1_35=0; 
   double a1_v1_35=0; 
   double v1_36=0; 
   double a1_v1_36=0; 
   double v1_37=0; 
   double a1_v1_37=0; 
   double v1_38=0; 
   double a1_v1_38=0; 
   double v1_39=0; 
   double a1_v1_39=0; 
   double v1_40=0; 
   double a1_v1_40=0; 
   double v1_41=0; 
   double a1_v1_41=0; 
   double v1_42=0; 
   double a1_v1_42=0; 
   double v1_43=0; 
   double a1_v1_43=0; 
   double v1_44=0; 
   double a1_v1_44=0; 
   double v1_45=0; 
   double a1_v1_45=0; 
   double v1_46=0; 
   double a1_v1_46=0; 
   double v1_47=0; 
   double a1_v1_47=0; 
   double v1_48=0; 
   double a1_v1_48=0; 
   double v1_49=0; 
   double a1_v1_49=0; 
   double v1_50=0; 
   double a1_v1_50=0; 
   double v1_51=0; 
   double a1_v1_51=0; 
   double v1_52=0; 
   double a1_v1_52=0; 
   double v1_53=0; 
   double a1_v1_53=0; 
   double v1_54=0; 
   double a1_v1_54=0; 
   double v1_55=0; 
   double a1_v1_55=0; 
   double v1_56=0; 
   double a1_v1_56=0; 
   double v1_57=0; 
   double a1_v1_57=0; 
   double v1_58=0; 
   double a1_v1_58=0; 
   double v1_59=0; 
   double a1_v1_59=0; 
   double v1_60=0; 
   double a1_v1_60=0; 
   double v1_61=0; 
   double a1_v1_61=0; 
   double v1_62=0; 
   double a1_v1_62=0; 
   double v1_63=0; 
   double a1_v1_63=0; 
   double v1_64=0; 
   double a1_v1_64=0; 
   double v1_65=0; 
   double a1_v1_65=0; 
   double v1_66=0; 
   double a1_v1_66=0; 
   double v1_67=0; 
   double a1_v1_67=0; 
   double v1_68=0; 
   double a1_v1_68=0; 
   double v1_69=0; 
   double a1_v1_69=0; 
   double v1_70=0; 
   double a1_v1_70=0; 
   double v1_71=0; 
   double a1_v1_71=0; 
   double v1_72=0; 
   double a1_v1_72=0; 
   double v1_73=0; 
   double a1_v1_73=0; 
   double v1_74=0; 
   double a1_v1_74=0; 
   double v1_75=0; 
   double a1_v1_75=0; 
   double v1_76=0; 
   double a1_v1_76=0; 
   double v1_77=0; 
   double a1_v1_77=0; 
   double v1_78=0; 
   double a1_v1_78=0; 
   double v1_79=0; 
   double a1_v1_79=0; 
   double v1_80=0; 
   double a1_v1_80=0; 
   double v1_81=0; 
   double a1_v1_81=0; 
   double v1_82=0; 
   double a1_v1_82=0; 
   double v1_83=0; 
   double a1_v1_83=0; 
   double v1_84=0; 
   double a1_v1_84=0; 
   double v1_85=0; 
   double a1_v1_85=0; 
   double v1_86=0; 
   double a1_v1_86=0; 
   double v1_87=0; 
   double a1_v1_87=0; 
   double v1_88=0; 
   double a1_v1_88=0; 
   double v1_89=0; 
   double a1_v1_89=0; 
   double v1_90=0; 
   double a1_v1_90=0; 
   double v1_91=0; 
   double a1_v1_91=0; 
   double v1_92=0; 
   double a1_v1_92=0; 
   double v1_93=0; 
   double a1_v1_93=0; 
   double v1_94=0; 
   double a1_v1_94=0; 
   double v1_95=0; 
   double a1_v1_95=0; 
   double v1_96=0; 
   double a1_v1_96=0; 
   double v1_97=0; 
   double a1_v1_97=0; 
   double v1_98=0; 
   double a1_v1_98=0; 
   double v1_99=0; 
   double a1_v1_99=0; 
   double v1_100=0; 
   double a1_v1_100=0; 
   double v1_101=0; 
   double a1_v1_101=0; 
   double v1_102=0; 
   double a1_v1_102=0; 
   double v1_103=0; 
   double a1_v1_103=0; 
   double v1_104=0; 
   double a1_v1_104=0; 
   double v1_105=0; 
   double a1_v1_105=0; 
   double v1_106=0; 
   double a1_v1_106=0; 
   double v1_107=0; 
   double a1_v1_107=0; 
   double v1_108=0; 
   double a1_v1_108=0; 
   double v1_109=0; 
   double a1_v1_109=0; 
   double v1_110=0; 
   double a1_v1_110=0; 
   double v1_111=0; 
   double a1_v1_111=0; 
   double v1_112=0; 
   double a1_v1_112=0; 
   double v1_113=0; 
   double a1_v1_113=0; 
   double v1_114=0; 
   double a1_v1_114=0; 
   double v1_115=0; 
   double a1_v1_115=0; 
   double v1_116=0; 
   double a1_v1_116=0; 
   double v1_117=0; 
   double a1_v1_117=0; 
   double v1_118=0; 
   double a1_v1_118=0; 
   double v1_119=0; 
   double a1_v1_119=0; 
   #include "rhs_declare_checkpoints.inc"
   int save_cs_c=0;
   save_cs_c=CS_SIZE;
   if (bmode_1==1) {
      #include "rhs_restore_inputs.inc"
      // augmented forward section
      CS_PUSH(0);
      FDS_PUSH(Fbin); Fbin=u[0];
      FDS_PUSH(Tw); Tw=u[1];
      FDS_PUSH(f[1-1]); f[1-1]=(0-1e+0/(1000e+0*x[8-1])*x[1-1]*Fbin-(1.6599e+6*exp(0-(b2*1e+3)/(x[7-1]+273.15)))*x[1-1]*x[2-1]);
      FDS_PUSH(f[2-1]); f[2-1]=(1e+0/(1000e+0*x[8-1])*Fbin*(1-x[2-1])-((1.6599e+6*exp(0-(b2*1e+3)/(x[7-1]+273.15)))*x[1-1]*x[2-1]+(7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1]));
      FDS_PUSH(f[3-1]); f[3-1]=(0-1e+0/(1000e+0*x[8-1])*x[3-1]*Fbin+(2*(1.6599e+6*exp(0-(b2*1e+3)/(x[7-1]+273.15)))*x[1-1]*x[2-1]-2*(7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1]-(2.6745e+12*exp(0-(11.111*1e+3)/(x[7-1]+273.15)))*x[3-1]*x[4-1]));
      FDS_PUSH(f[4-1]); f[4-1]=(0-1e+0/(1000e+0*x[8-1])*x[4-1]*Fbin+((7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1]-1/2e+0*(2.6745e+12*exp(0-(11.111*1e+3)/(x[7-1]+273.15)))*x[3-1]*x[4-1]));
      FDS_PUSH(f[5-1]); f[5-1]=(0-1e+0/(1000e+0*x[8-1])*x[5-1]*Fbin+(2*(7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1]));
      FDS_PUSH(f[6-1]); f[6-1]=(0-1e+0/(1000e+0*x[8-1])*x[6-1]*Fbin+(3e+0/2e+0*(2.6745e+12*exp(0-(11.111*1e+3)/(x[7-1]+273.15)))*x[4-1]*x[3-1]));
      FDS_PUSH(f[7-1]); f[7-1]=(Fbin*Tin/(1000*x[8-1])+(0-(0-263.8)*((1.6599e+6*exp(0-(b2*1e+3)/(x[7-1]+273.15)))*x[1-1]*x[2-1])*1000-(0-158.3)*((7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1])*1000-(0-226.3)*((2.6745e+12*exp(0-(11.111*1e+3)/(x[7-1]+273.15)))*x[3-1]*x[4-1])*1000)/(1000*4.184)-9.2903/2105.2*10*23.082e-3*(x[7-1]-1e+3*Tw)/4.184-Fbin*x[7-1]/(x[8-1]*1000));
      FDS_PUSH(f[8-1]); f[8-1]=(Fbin/1000);
      FDS_PUSH(f[9-1]); f[9-1]=(0-5554.1*((((7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1])-1/2e+0*((2.6745e+12*exp(0-(11.111*1e+3)/(x[7-1]+273.15)))*x[3-1]*x[4-1]))*x[8-1])-125.91*2*((7.2117e+8*exp(0-(8.3333*1e+3)/(x[7-1]+273.15)))*x[2-1]*x[3-1])*x[8-1]);
      // reverse section
      while (CS_SIZE>save_cs_c) {
        CS_POP;
        if (CS_TOP==0) {
          FDS_POP(f[9-1]); 
          v1_0=5554.1;
          v1_1=7.2117e+8;
          v1_2=8.3333;
          v1_3=1e+3;
          v1_4=v1_2*v1_3;
          v1_5=v1_4;
          v1_6=x[7-1];
          v1_7=273.15;
          v1_8=v1_6+v1_7;
          v1_9=v1_8;
          v1_10=v1_5/v1_9;
          v1_11=-v1_10;
          v1_12=exp(v1_11);
          v1_13=v1_1*v1_12;
          v1_14=v1_13;
          v1_15=x[2-1];
          v1_16=v1_14*v1_15;
          v1_17=x[3-1];
          v1_18=v1_16*v1_17;
          v1_19=v1_18;
          v1_20=1;
          v1_21=2e+0;
          v1_22=v1_20/v1_21;
          v1_23=2.6745e+12;
          v1_24=11.111;
          v1_25=1e+3;
          v1_26=v1_24*v1_25;
          v1_27=v1_26;
          v1_28=x[7-1];
          v1_29=273.15;
          v1_30=v1_28+v1_29;
          v1_31=v1_30;
          v1_32=v1_27/v1_31;
          v1_33=-v1_32;
          v1_34=exp(v1_33);
          v1_35=v1_23*v1_34;
          v1_36=v1_35;
          v1_37=x[3-1];
          v1_38=v1_36*v1_37;
          v1_39=x[4-1];
          v1_40=v1_38*v1_39;
          v1_41=v1_40;
          v1_42=v1_22*v1_41;
          v1_43=v1_19-v1_42;
          v1_44=v1_43;
          v1_45=x[8-1];
          v1_46=v1_44*v1_45;
          v1_47=v1_46;
          v1_48=v1_0*v1_47;
          v1_49=-v1_48;
          v1_50=125.91;
          v1_51=2;
          v1_52=v1_50*v1_51;
          v1_53=7.2117e+8;
          v1_54=8.3333;
          v1_55=1e+3;
          v1_56=v1_54*v1_55;
          v1_57=v1_56;
          v1_58=x[7-1];
          v1_59=273.15;
          v1_60=v1_58+v1_59;
          v1_61=v1_60;
          v1_62=v1_57/v1_61;
          v1_63=-v1_62;
          v1_64=exp(v1_63);
          v1_65=v1_53*v1_64;
          v1_66=v1_65;
          v1_67=x[2-1];
          v1_68=v1_66*v1_67;
          v1_69=x[3-1];
          v1_70=v1_68*v1_69;
          v1_71=v1_70;
          v1_72=v1_52*v1_71;
          v1_73=x[8-1];
          v1_74=v1_72*v1_73;
          v1_75=v1_49-v1_74;
          v1_76=v1_75;
          a1_v1_76=a1_f[9-1]; a1_f[9-1]=0;
          a1_v1_75=a1_v1_76;
          a1_v1_49=a1_v1_75; a1_v1_74=0-a1_v1_75;
          a1_v1_72=v1_73*a1_v1_74; a1_v1_73=v1_72*a1_v1_74;
          a1_x[8-1]=a1_x[8-1]+a1_v1_73;
          a1_v1_52=v1_71*a1_v1_72; a1_v1_71=v1_52*a1_v1_72;
          a1_v1_70=a1_v1_71;
          a1_v1_68=v1_69*a1_v1_70; a1_v1_69=v1_68*a1_v1_70;
          a1_x[3-1]=a1_x[3-1]+a1_v1_69;
          a1_v1_66=v1_67*a1_v1_68; a1_v1_67=v1_66*a1_v1_68;
          a1_x[2-1]=a1_x[2-1]+a1_v1_67;
          a1_v1_65=a1_v1_66;
          a1_v1_53=v1_64*a1_v1_65; a1_v1_64=v1_53*a1_v1_65;
          a1_v1_63=v1_64*a1_v1_64;
          a1_v1_62=-a1_v1_63;
          a1_v1_57=1/v1_61*a1_v1_62; a1_v1_61=0-v1_57/(v1_61*v1_61)*a1_v1_62;
          a1_v1_60=a1_v1_61;
          a1_v1_58=a1_v1_60; a1_v1_59=a1_v1_60;
          a1_x[7-1]=a1_x[7-1]+a1_v1_58;
          a1_v1_56=a1_v1_57;
          a1_v1_54=v1_55*a1_v1_56; a1_v1_55=v1_54*a1_v1_56;
          a1_v1_50=v1_51*a1_v1_52; a1_v1_51=v1_50*a1_v1_52;
          a1_v1_48=-a1_v1_49;
          a1_v1_0=v1_47*a1_v1_48; a1_v1_47=v1_0*a1_v1_48;
          a1_v1_46=a1_v1_47;
          a1_v1_44=v1_45*a1_v1_46; a1_v1_45=v1_44*a1_v1_46;
          a1_x[8-1]=a1_x[8-1]+a1_v1_45;
          a1_v1_43=a1_v1_44;
          a1_v1_19=a1_v1_43; a1_v1_42=0-a1_v1_43;
          a1_v1_22=v1_41*a1_v1_42; a1_v1_41=v1_22*a1_v1_42;
          a1_v1_40=a1_v1_41;
          a1_v1_38=v1_39*a1_v1_40; a1_v1_39=v1_38*a1_v1_40;
          a1_x[4-1]=a1_x[4-1]+a1_v1_39;
          a1_v1_36=v1_37*a1_v1_38; a1_v1_37=v1_36*a1_v1_38;
          a1_x[3-1]=a1_x[3-1]+a1_v1_37;
          a1_v1_35=a1_v1_36;
          a1_v1_23=v1_34*a1_v1_35; a1_v1_34=v1_23*a1_v1_35;
          a1_v1_33=v1_34*a1_v1_34;
          a1_v1_32=-a1_v1_33;
          a1_v1_27=1/v1_31*a1_v1_32; a1_v1_31=0-v1_27/(v1_31*v1_31)*a1_v1_32;
          a1_v1_30=a1_v1_31;
          a1_v1_28=a1_v1_30; a1_v1_29=a1_v1_30;
          a1_x[7-1]=a1_x[7-1]+a1_v1_28;
          a1_v1_26=a1_v1_27;
          a1_v1_24=v1_25*a1_v1_26; a1_v1_25=v1_24*a1_v1_26;
          a1_v1_20=1/v1_21*a1_v1_22; a1_v1_21=0-v1_20/(v1_21*v1_21)*a1_v1_22;
          a1_v1_18=a1_v1_19;
          a1_v1_16=v1_17*a1_v1_18; a1_v1_17=v1_16*a1_v1_18;
          a1_x[3-1]=a1_x[3-1]+a1_v1_17;
          a1_v1_14=v1_15*a1_v1_16; a1_v1_15=v1_14*a1_v1_16;
          a1_x[2-1]=a1_x[2-1]+a1_v1_15;
          a1_v1_13=a1_v1_14;
          a1_v1_1=v1_12*a1_v1_13; a1_v1_12=v1_1*a1_v1_13;
          a1_v1_11=v1_12*a1_v1_12;
          a1_v1_10=-a1_v1_11;
          a1_v1_5=1/v1_9*a1_v1_10; a1_v1_9=0-v1_5/(v1_9*v1_9)*a1_v1_10;
          a1_v1_8=a1_v1_9;
          a1_v1_6=a1_v1_8; a1_v1_7=a1_v1_8;
          a1_x[7-1]=a1_x[7-1]+a1_v1_6;
          a1_v1_4=a1_v1_5;
          a1_v1_2=v1_3*a1_v1_4; a1_v1_3=v1_2*a1_v1_4;
          FDS_POP(f[8-1]); 
          v1_0=Fbin;
          v1_1=1000;
          v1_2=v1_0/v1_1;
          v1_3=v1_2;
          a1_v1_3=a1_f[8-1]; a1_f[8-1]=0;
          a1_v1_2=a1_v1_3;
          a1_v1_0=1/v1_1*a1_v1_2; a1_v1_1=0-v1_0/(v1_1*v1_1)*a1_v1_2;
          a1_Fbin=a1_Fbin+a1_v1_0;
          FDS_POP(f[7-1]); 
          v1_0=Fbin;
          v1_1=Tin;
          v1_2=v1_0*v1_1;
          v1_3=1000;
          v1_4=x[8-1];
          v1_5=v1_3*v1_4;
          v1_6=v1_5;
          v1_7=v1_2/v1_6;
          v1_8=263.8;
          v1_9=-v1_8;
          v1_10=v1_9;
          v1_11=1.6599e+6;
          v1_12=b2;
          v1_13=1e+3;
          v1_14=v1_12*v1_13;
          v1_15=v1_14;
          v1_16=x[7-1];
          v1_17=273.15;
          v1_18=v1_16+v1_17;
          v1_19=v1_18;
          v1_20=v1_15/v1_19;
          v1_21=-v1_20;
          v1_22=exp(v1_21);
          v1_23=v1_11*v1_22;
          v1_24=v1_23;
          v1_25=x[1-1];
          v1_26=v1_24*v1_25;
          v1_27=x[2-1];
          v1_28=v1_26*v1_27;
          v1_29=v1_28;
          v1_30=v1_10*v1_29;
          v1_31=1000;
          v1_32=v1_30*v1_31;
          v1_33=-v1_32;
          v1_34=158.3;
          v1_35=-v1_34;
          v1_36=v1_35;
          v1_37=7.2117e+8;
          v1_38=8.3333;
          v1_39=1e+3;
          v1_40=v1_38*v1_39;
          v1_41=v1_40;
          v1_42=x[7-1];
          v1_43=273.15;
          v1_44=v1_42+v1_43;
          v1_45=v1_44;
          v1_46=v1_41/v1_45;
          v1_47=-v1_46;
          v1_48=exp(v1_47);
          v1_49=v1_37*v1_48;
          v1_50=v1_49;
          v1_51=x[2-1];
          v1_52=v1_50*v1_51;
          v1_53=x[3-1];
          v1_54=v1_52*v1_53;
          v1_55=v1_54;
          v1_56=v1_36*v1_55;
          v1_57=1000;
          v1_58=v1_56*v1_57;
          v1_59=v1_33-v1_58;
          v1_60=226.3;
          v1_61=-v1_60;
          v1_62=v1_61;
          v1_63=2.6745e+12;
          v1_64=11.111;
          v1_65=1e+3;
          v1_66=v1_64*v1_65;
          v1_67=v1_66;
          v1_68=x[7-1];
          v1_69=273.15;
          v1_70=v1_68+v1_69;
          v1_71=v1_70;
          v1_72=v1_67/v1_71;
          v1_73=-v1_72;
          v1_74=exp(v1_73);
          v1_75=v1_63*v1_74;
          v1_76=v1_75;
          v1_77=x[3-1];
          v1_78=v1_76*v1_77;
          v1_79=x[4-1];
          v1_80=v1_78*v1_79;
          v1_81=v1_80;
          v1_82=v1_62*v1_81;
          v1_83=1000;
          v1_84=v1_82*v1_83;
          v1_85=v1_59-v1_84;
          v1_86=v1_85;
          v1_87=1000;
          v1_88=4.184;
          v1_89=v1_87*v1_88;
          v1_90=v1_89;
          v1_91=v1_86/v1_90;
          v1_92=v1_7+v1_91;
          v1_93=9.2903;
          v1_94=2105.2;
          v1_95=v1_93/v1_94;
          v1_96=10;
          v1_97=v1_95*v1_96;
          v1_98=23.082e-3;
          v1_99=v1_97*v1_98;
          v1_100=x[7-1];
          v1_101=1e+3;
          v1_102=Tw;
          v1_103=v1_101*v1_102;
          v1_104=v1_100-v1_103;
          v1_105=v1_104;
          v1_106=v1_99*v1_105;
          v1_107=4.184;
          v1_108=v1_106/v1_107;
          v1_109=v1_92-v1_108;
          v1_110=Fbin;
          v1_111=x[7-1];
          v1_112=v1_110*v1_111;
          v1_113=x[8-1];
          v1_114=1000;
          v1_115=v1_113*v1_114;
          v1_116=v1_115;
          v1_117=v1_112/v1_116;
          v1_118=v1_109-v1_117;
          v1_119=v1_118;
          a1_v1_119=a1_f[7-1]; a1_f[7-1]=0;
          a1_v1_118=a1_v1_119;
          a1_v1_109=a1_v1_118; a1_v1_117=0-a1_v1_118;
          a1_v1_112=1/v1_116*a1_v1_117; a1_v1_116=0-v1_112/(v1_116*v1_116)*a1_v1_117;
          a1_v1_115=a1_v1_116;
          a1_v1_113=v1_114*a1_v1_115; a1_v1_114=v1_113*a1_v1_115;
          a1_x[8-1]=a1_x[8-1]+a1_v1_113;
          a1_v1_110=v1_111*a1_v1_112; a1_v1_111=v1_110*a1_v1_112;
          a1_x[7-1]=a1_x[7-1]+a1_v1_111;
          a1_Fbin=a1_Fbin+a1_v1_110;
          a1_v1_92=a1_v1_109; a1_v1_108=0-a1_v1_109;
          a1_v1_106=1/v1_107*a1_v1_108; a1_v1_107=0-v1_106/(v1_107*v1_107)*a1_v1_108;
          a1_v1_99=v1_105*a1_v1_106; a1_v1_105=v1_99*a1_v1_106;
          a1_v1_104=a1_v1_105;
          a1_v1_100=a1_v1_104; a1_v1_103=0-a1_v1_104;
          a1_v1_101=v1_102*a1_v1_103; a1_v1_102=v1_101*a1_v1_103;
          a1_Tw=a1_Tw+a1_v1_102;
          a1_x[7-1]=a1_x[7-1]+a1_v1_100;
          a1_v1_97=v1_98*a1_v1_99; a1_v1_98=v1_97*a1_v1_99;
          a1_v1_95=v1_96*a1_v1_97; a1_v1_96=v1_95*a1_v1_97;
          a1_v1_93=1/v1_94*a1_v1_95; a1_v1_94=0-v1_93/(v1_94*v1_94)*a1_v1_95;
          a1_v1_7=a1_v1_92; a1_v1_91=a1_v1_92;
          a1_v1_86=1/v1_90*a1_v1_91; a1_v1_90=0-v1_86/(v1_90*v1_90)*a1_v1_91;
          a1_v1_89=a1_v1_90;
          a1_v1_87=v1_88*a1_v1_89; a1_v1_88=v1_87*a1_v1_89;
          a1_v1_85=a1_v1_86;
          a1_v1_59=a1_v1_85; a1_v1_84=0-a1_v1_85;
          a1_v1_82=v1_83*a1_v1_84; a1_v1_83=v1_82*a1_v1_84;
          a1_v1_62=v1_81*a1_v1_82; a1_v1_81=v1_62*a1_v1_82;
          a1_v1_80=a1_v1_81;
          a1_v1_78=v1_79*a1_v1_80; a1_v1_79=v1_78*a1_v1_80;
          a1_x[4-1]=a1_x[4-1]+a1_v1_79;
          a1_v1_76=v1_77*a1_v1_78; a1_v1_77=v1_76*a1_v1_78;
          a1_x[3-1]=a1_x[3-1]+a1_v1_77;
          a1_v1_75=a1_v1_76;
          a1_v1_63=v1_74*a1_v1_75; a1_v1_74=v1_63*a1_v1_75;
          a1_v1_73=v1_74*a1_v1_74;
          a1_v1_72=-a1_v1_73;
          a1_v1_67=1/v1_71*a1_v1_72; a1_v1_71=0-v1_67/(v1_71*v1_71)*a1_v1_72;
          a1_v1_70=a1_v1_71;
          a1_v1_68=a1_v1_70; a1_v1_69=a1_v1_70;
          a1_x[7-1]=a1_x[7-1]+a1_v1_68;
          a1_v1_66=a1_v1_67;
          a1_v1_64=v1_65*a1_v1_66; a1_v1_65=v1_64*a1_v1_66;
          a1_v1_61=a1_v1_62;
          a1_v1_60=-a1_v1_61;
          a1_v1_33=a1_v1_59; a1_v1_58=0-a1_v1_59;
          a1_v1_56=v1_57*a1_v1_58; a1_v1_57=v1_56*a1_v1_58;
          a1_v1_36=v1_55*a1_v1_56; a1_v1_55=v1_36*a1_v1_56;
          a1_v1_54=a1_v1_55;
          a1_v1_52=v1_53*a1_v1_54; a1_v1_53=v1_52*a1_v1_54;
          a1_x[3-1]=a1_x[3-1]+a1_v1_53;
          a1_v1_50=v1_51*a1_v1_52; a1_v1_51=v1_50*a1_v1_52;
          a1_x[2-1]=a1_x[2-1]+a1_v1_51;
          a1_v1_49=a1_v1_50;
          a1_v1_37=v1_48*a1_v1_49; a1_v1_48=v1_37*a1_v1_49;
          a1_v1_47=v1_48*a1_v1_48;
          a1_v1_46=-a1_v1_47;
          a1_v1_41=1/v1_45*a1_v1_46; a1_v1_45=0-v1_41/(v1_45*v1_45)*a1_v1_46;
          a1_v1_44=a1_v1_45;
          a1_v1_42=a1_v1_44; a1_v1_43=a1_v1_44;
          a1_x[7-1]=a1_x[7-1]+a1_v1_42;
          a1_v1_40=a1_v1_41;
          a1_v1_38=v1_39*a1_v1_40; a1_v1_39=v1_38*a1_v1_40;
          a1_v1_35=a1_v1_36;
          a1_v1_34=-a1_v1_35;
          a1_v1_32=-a1_v1_33;
          a1_v1_30=v1_31*a1_v1_32; a1_v1_31=v1_30*a1_v1_32;
          a1_v1_10=v1_29*a1_v1_30; a1_v1_29=v1_10*a1_v1_30;
          a1_v1_28=a1_v1_29;
          a1_v1_26=v1_27*a1_v1_28; a1_v1_27=v1_26*a1_v1_28;
          a1_x[2-1]=a1_x[2-1]+a1_v1_27;
          a1_v1_24=v1_25*a1_v1_26; a1_v1_25=v1_24*a1_v1_26;
          a1_x[1-1]=a1_x[1-1]+a1_v1_25;
          a1_v1_23=a1_v1_24;
          a1_v1_11=v1_22*a1_v1_23; a1_v1_22=v1_11*a1_v1_23;
          a1_v1_21=v1_22*a1_v1_22;
          a1_v1_20=-a1_v1_21;
          a1_v1_15=1/v1_19*a1_v1_20; a1_v1_19=0-v1_15/(v1_19*v1_19)*a1_v1_20;
          a1_v1_18=a1_v1_19;
          a1_v1_16=a1_v1_18; a1_v1_17=a1_v1_18;
          a1_x[7-1]=a1_x[7-1]+a1_v1_16;
          a1_v1_14=a1_v1_15;
          a1_v1_12=v1_13*a1_v1_14; a1_v1_13=v1_12*a1_v1_14;
          a1_b2=a1_b2+a1_v1_12;
          a1_v1_9=a1_v1_10;
          a1_v1_8=-a1_v1_9;
          a1_v1_2=1/v1_6*a1_v1_7; a1_v1_6=0-v1_2/(v1_6*v1_6)*a1_v1_7;
          a1_v1_5=a1_v1_6;
          a1_v1_3=v1_4*a1_v1_5; a1_v1_4=v1_3*a1_v1_5;
          a1_x[8-1]=a1_x[8-1]+a1_v1_4;
          a1_v1_0=v1_1*a1_v1_2; a1_v1_1=v1_0*a1_v1_2;
          a1_Tin=a1_Tin+a1_v1_1;
          a1_Fbin=a1_Fbin+a1_v1_0;
          FDS_POP(f[6-1]); 
          v1_0=1e+0;
          v1_1=1000e+0;
          v1_2=x[8-1];
          v1_3=v1_1*v1_2;
          v1_4=v1_3;
          v1_5=v1_0/v1_4;
          v1_6=x[6-1];
          v1_7=v1_5*v1_6;
          v1_8=Fbin;
          v1_9=v1_7*v1_8;
          v1_10=-v1_9;
          v1_11=3e+0;
          v1_12=2e+0;
          v1_13=v1_11/v1_12;
          v1_14=2.6745e+12;
          v1_15=11.111;
          v1_16=1e+3;
          v1_17=v1_15*v1_16;
          v1_18=v1_17;
          v1_19=x[7-1];
          v1_20=273.15;
          v1_21=v1_19+v1_20;
          v1_22=v1_21;
          v1_23=v1_18/v1_22;
          v1_24=-v1_23;
          v1_25=exp(v1_24);
          v1_26=v1_14*v1_25;
          v1_27=v1_26;
          v1_28=v1_13*v1_27;
          v1_29=x[4-1];
          v1_30=v1_28*v1_29;
          v1_31=x[3-1];
          v1_32=v1_30*v1_31;
          v1_33=v1_32;
          v1_34=v1_10+v1_33;
          v1_35=v1_34;
          a1_v1_35=a1_f[6-1]; a1_f[6-1]=0;
          a1_v1_34=a1_v1_35;
          a1_v1_10=a1_v1_34; a1_v1_33=a1_v1_34;
          a1_v1_32=a1_v1_33;
          a1_v1_30=v1_31*a1_v1_32; a1_v1_31=v1_30*a1_v1_32;
          a1_x[3-1]=a1_x[3-1]+a1_v1_31;
          a1_v1_28=v1_29*a1_v1_30; a1_v1_29=v1_28*a1_v1_30;
          a1_x[4-1]=a1_x[4-1]+a1_v1_29;
          a1_v1_13=v1_27*a1_v1_28; a1_v1_27=v1_13*a1_v1_28;
          a1_v1_26=a1_v1_27;
          a1_v1_14=v1_25*a1_v1_26; a1_v1_25=v1_14*a1_v1_26;
          a1_v1_24=v1_25*a1_v1_25;
          a1_v1_23=-a1_v1_24;
          a1_v1_18=1/v1_22*a1_v1_23; a1_v1_22=0-v1_18/(v1_22*v1_22)*a1_v1_23;
          a1_v1_21=a1_v1_22;
          a1_v1_19=a1_v1_21; a1_v1_20=a1_v1_21;
          a1_x[7-1]=a1_x[7-1]+a1_v1_19;
          a1_v1_17=a1_v1_18;
          a1_v1_15=v1_16*a1_v1_17; a1_v1_16=v1_15*a1_v1_17;
          a1_v1_11=1/v1_12*a1_v1_13; a1_v1_12=0-v1_11/(v1_12*v1_12)*a1_v1_13;
          a1_v1_9=-a1_v1_10;
          a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
          a1_Fbin=a1_Fbin+a1_v1_8;
          a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
          a1_x[6-1]=a1_x[6-1]+a1_v1_6;
          a1_v1_0=1/v1_4*a1_v1_5; a1_v1_4=0-v1_0/(v1_4*v1_4)*a1_v1_5;
          a1_v1_3=a1_v1_4;
          a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
          a1_x[8-1]=a1_x[8-1]+a1_v1_2;
          FDS_POP(f[5-1]); 
          v1_0=1e+0;
          v1_1=1000e+0;
          v1_2=x[8-1];
          v1_3=v1_1*v1_2;
          v1_4=v1_3;
          v1_5=v1_0/v1_4;
          v1_6=x[5-1];
          v1_7=v1_5*v1_6;
          v1_8=Fbin;
          v1_9=v1_7*v1_8;
          v1_10=-v1_9;
          v1_11=2;
          v1_12=7.2117e+8;
          v1_13=8.3333;
          v1_14=1e+3;
          v1_15=v1_13*v1_14;
          v1_16=v1_15;
          v1_17=x[7-1];
          v1_18=273.15;
          v1_19=v1_17+v1_18;
          v1_20=v1_19;
          v1_21=v1_16/v1_20;
          v1_22=-v1_21;
          v1_23=exp(v1_22);
          v1_24=v1_12*v1_23;
          v1_25=v1_24;
          v1_26=v1_11*v1_25;
          v1_27=x[2-1];
          v1_28=v1_26*v1_27;
          v1_29=x[3-1];
          v1_30=v1_28*v1_29;
          v1_31=v1_30;
          v1_32=v1_10+v1_31;
          v1_33=v1_32;
          a1_v1_33=a1_f[5-1]; a1_f[5-1]=0;
          a1_v1_32=a1_v1_33;
          a1_v1_10=a1_v1_32; a1_v1_31=a1_v1_32;
          a1_v1_30=a1_v1_31;
          a1_v1_28=v1_29*a1_v1_30; a1_v1_29=v1_28*a1_v1_30;
          a1_x[3-1]=a1_x[3-1]+a1_v1_29;
          a1_v1_26=v1_27*a1_v1_28; a1_v1_27=v1_26*a1_v1_28;
          a1_x[2-1]=a1_x[2-1]+a1_v1_27;
          a1_v1_11=v1_25*a1_v1_26; a1_v1_25=v1_11*a1_v1_26;
          a1_v1_24=a1_v1_25;
          a1_v1_12=v1_23*a1_v1_24; a1_v1_23=v1_12*a1_v1_24;
          a1_v1_22=v1_23*a1_v1_23;
          a1_v1_21=-a1_v1_22;
          a1_v1_16=1/v1_20*a1_v1_21; a1_v1_20=0-v1_16/(v1_20*v1_20)*a1_v1_21;
          a1_v1_19=a1_v1_20;
          a1_v1_17=a1_v1_19; a1_v1_18=a1_v1_19;
          a1_x[7-1]=a1_x[7-1]+a1_v1_17;
          a1_v1_15=a1_v1_16;
          a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
          a1_v1_9=-a1_v1_10;
          a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
          a1_Fbin=a1_Fbin+a1_v1_8;
          a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
          a1_x[5-1]=a1_x[5-1]+a1_v1_6;
          a1_v1_0=1/v1_4*a1_v1_5; a1_v1_4=0-v1_0/(v1_4*v1_4)*a1_v1_5;
          a1_v1_3=a1_v1_4;
          a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
          a1_x[8-1]=a1_x[8-1]+a1_v1_2;
          FDS_POP(f[4-1]); 
          v1_0=1e+0;
          v1_1=1000e+0;
          v1_2=x[8-1];
          v1_3=v1_1*v1_2;
          v1_4=v1_3;
          v1_5=v1_0/v1_4;
          v1_6=x[4-1];
          v1_7=v1_5*v1_6;
          v1_8=Fbin;
          v1_9=v1_7*v1_8;
          v1_10=-v1_9;
          v1_11=7.2117e+8;
          v1_12=8.3333;
          v1_13=1e+3;
          v1_14=v1_12*v1_13;
          v1_15=v1_14;
          v1_16=x[7-1];
          v1_17=273.15;
          v1_18=v1_16+v1_17;
          v1_19=v1_18;
          v1_20=v1_15/v1_19;
          v1_21=-v1_20;
          v1_22=exp(v1_21);
          v1_23=v1_11*v1_22;
          v1_24=v1_23;
          v1_25=x[2-1];
          v1_26=v1_24*v1_25;
          v1_27=x[3-1];
          v1_28=v1_26*v1_27;
          v1_29=1;
          v1_30=2e+0;
          v1_31=v1_29/v1_30;
          v1_32=2.6745e+12;
          v1_33=11.111;
          v1_34=1e+3;
          v1_35=v1_33*v1_34;
          v1_36=v1_35;
          v1_37=x[7-1];
          v1_38=273.15;
          v1_39=v1_37+v1_38;
          v1_40=v1_39;
          v1_41=v1_36/v1_40;
          v1_42=-v1_41;
          v1_43=exp(v1_42);
          v1_44=v1_32*v1_43;
          v1_45=v1_44;
          v1_46=v1_31*v1_45;
          v1_47=x[3-1];
          v1_48=v1_46*v1_47;
          v1_49=x[4-1];
          v1_50=v1_48*v1_49;
          v1_51=v1_28-v1_50;
          v1_52=v1_51;
          v1_53=v1_10+v1_52;
          v1_54=v1_53;
          a1_v1_54=a1_f[4-1]; a1_f[4-1]=0;
          a1_v1_53=a1_v1_54;
          a1_v1_10=a1_v1_53; a1_v1_52=a1_v1_53;
          a1_v1_51=a1_v1_52;
          a1_v1_28=a1_v1_51; a1_v1_50=0-a1_v1_51;
          a1_v1_48=v1_49*a1_v1_50; a1_v1_49=v1_48*a1_v1_50;
          a1_x[4-1]=a1_x[4-1]+a1_v1_49;
          a1_v1_46=v1_47*a1_v1_48; a1_v1_47=v1_46*a1_v1_48;
          a1_x[3-1]=a1_x[3-1]+a1_v1_47;
          a1_v1_31=v1_45*a1_v1_46; a1_v1_45=v1_31*a1_v1_46;
          a1_v1_44=a1_v1_45;
          a1_v1_32=v1_43*a1_v1_44; a1_v1_43=v1_32*a1_v1_44;
          a1_v1_42=v1_43*a1_v1_43;
          a1_v1_41=-a1_v1_42;
          a1_v1_36=1/v1_40*a1_v1_41; a1_v1_40=0-v1_36/(v1_40*v1_40)*a1_v1_41;
          a1_v1_39=a1_v1_40;
          a1_v1_37=a1_v1_39; a1_v1_38=a1_v1_39;
          a1_x[7-1]=a1_x[7-1]+a1_v1_37;
          a1_v1_35=a1_v1_36;
          a1_v1_33=v1_34*a1_v1_35; a1_v1_34=v1_33*a1_v1_35;
          a1_v1_29=1/v1_30*a1_v1_31; a1_v1_30=0-v1_29/(v1_30*v1_30)*a1_v1_31;
          a1_v1_26=v1_27*a1_v1_28; a1_v1_27=v1_26*a1_v1_28;
          a1_x[3-1]=a1_x[3-1]+a1_v1_27;
          a1_v1_24=v1_25*a1_v1_26; a1_v1_25=v1_24*a1_v1_26;
          a1_x[2-1]=a1_x[2-1]+a1_v1_25;
          a1_v1_23=a1_v1_24;
          a1_v1_11=v1_22*a1_v1_23; a1_v1_22=v1_11*a1_v1_23;
          a1_v1_21=v1_22*a1_v1_22;
          a1_v1_20=-a1_v1_21;
          a1_v1_15=1/v1_19*a1_v1_20; a1_v1_19=0-v1_15/(v1_19*v1_19)*a1_v1_20;
          a1_v1_18=a1_v1_19;
          a1_v1_16=a1_v1_18; a1_v1_17=a1_v1_18;
          a1_x[7-1]=a1_x[7-1]+a1_v1_16;
          a1_v1_14=a1_v1_15;
          a1_v1_12=v1_13*a1_v1_14; a1_v1_13=v1_12*a1_v1_14;
          a1_v1_9=-a1_v1_10;
          a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
          a1_Fbin=a1_Fbin+a1_v1_8;
          a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
          a1_x[4-1]=a1_x[4-1]+a1_v1_6;
          a1_v1_0=1/v1_4*a1_v1_5; a1_v1_4=0-v1_0/(v1_4*v1_4)*a1_v1_5;
          a1_v1_3=a1_v1_4;
          a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
          a1_x[8-1]=a1_x[8-1]+a1_v1_2;
          FDS_POP(f[3-1]); 
          v1_0=1e+0;
          v1_1=1000e+0;
          v1_2=x[8-1];
          v1_3=v1_1*v1_2;
          v1_4=v1_3;
          v1_5=v1_0/v1_4;
          v1_6=x[3-1];
          v1_7=v1_5*v1_6;
          v1_8=Fbin;
          v1_9=v1_7*v1_8;
          v1_10=-v1_9;
          v1_11=2;
          v1_12=1.6599e+6;
          v1_13=b2;
          v1_14=1e+3;
          v1_15=v1_13*v1_14;
          v1_16=v1_15;
          v1_17=x[7-1];
          v1_18=273.15;
          v1_19=v1_17+v1_18;
          v1_20=v1_19;
          v1_21=v1_16/v1_20;
          v1_22=-v1_21;
          v1_23=exp(v1_22);
          v1_24=v1_12*v1_23;
          v1_25=v1_24;
          v1_26=v1_11*v1_25;
          v1_27=x[1-1];
          v1_28=v1_26*v1_27;
          v1_29=x[2-1];
          v1_30=v1_28*v1_29;
          v1_31=2;
          v1_32=7.2117e+8;
          v1_33=8.3333;
          v1_34=1e+3;
          v1_35=v1_33*v1_34;
          v1_36=v1_35;
          v1_37=x[7-1];
          v1_38=273.15;
          v1_39=v1_37+v1_38;
          v1_40=v1_39;
          v1_41=v1_36/v1_40;
          v1_42=-v1_41;
          v1_43=exp(v1_42);
          v1_44=v1_32*v1_43;
          v1_45=v1_44;
          v1_46=v1_31*v1_45;
          v1_47=x[2-1];
          v1_48=v1_46*v1_47;
          v1_49=x[3-1];
          v1_50=v1_48*v1_49;
          v1_51=v1_30-v1_50;
          v1_52=2.6745e+12;
          v1_53=11.111;
          v1_54=1e+3;
          v1_55=v1_53*v1_54;
          v1_56=v1_55;
          v1_57=x[7-1];
          v1_58=273.15;
          v1_59=v1_57+v1_58;
          v1_60=v1_59;
          v1_61=v1_56/v1_60;
          v1_62=-v1_61;
          v1_63=exp(v1_62);
          v1_64=v1_52*v1_63;
          v1_65=v1_64;
          v1_66=x[3-1];
          v1_67=v1_65*v1_66;
          v1_68=x[4-1];
          v1_69=v1_67*v1_68;
          v1_70=v1_51-v1_69;
          v1_71=v1_70;
          v1_72=v1_10+v1_71;
          v1_73=v1_72;
          a1_v1_73=a1_f[3-1]; a1_f[3-1]=0;
          a1_v1_72=a1_v1_73;
          a1_v1_10=a1_v1_72; a1_v1_71=a1_v1_72;
          a1_v1_70=a1_v1_71;
          a1_v1_51=a1_v1_70; a1_v1_69=0-a1_v1_70;
          a1_v1_67=v1_68*a1_v1_69; a1_v1_68=v1_67*a1_v1_69;
          a1_x[4-1]=a1_x[4-1]+a1_v1_68;
          a1_v1_65=v1_66*a1_v1_67; a1_v1_66=v1_65*a1_v1_67;
          a1_x[3-1]=a1_x[3-1]+a1_v1_66;
          a1_v1_64=a1_v1_65;
          a1_v1_52=v1_63*a1_v1_64; a1_v1_63=v1_52*a1_v1_64;
          a1_v1_62=v1_63*a1_v1_63;
          a1_v1_61=-a1_v1_62;
          a1_v1_56=1/v1_60*a1_v1_61; a1_v1_60=0-v1_56/(v1_60*v1_60)*a1_v1_61;
          a1_v1_59=a1_v1_60;
          a1_v1_57=a1_v1_59; a1_v1_58=a1_v1_59;
          a1_x[7-1]=a1_x[7-1]+a1_v1_57;
          a1_v1_55=a1_v1_56;
          a1_v1_53=v1_54*a1_v1_55; a1_v1_54=v1_53*a1_v1_55;
          a1_v1_30=a1_v1_51; a1_v1_50=0-a1_v1_51;
          a1_v1_48=v1_49*a1_v1_50; a1_v1_49=v1_48*a1_v1_50;
          a1_x[3-1]=a1_x[3-1]+a1_v1_49;
          a1_v1_46=v1_47*a1_v1_48; a1_v1_47=v1_46*a1_v1_48;
          a1_x[2-1]=a1_x[2-1]+a1_v1_47;
          a1_v1_31=v1_45*a1_v1_46; a1_v1_45=v1_31*a1_v1_46;
          a1_v1_44=a1_v1_45;
          a1_v1_32=v1_43*a1_v1_44; a1_v1_43=v1_32*a1_v1_44;
          a1_v1_42=v1_43*a1_v1_43;
          a1_v1_41=-a1_v1_42;
          a1_v1_36=1/v1_40*a1_v1_41; a1_v1_40=0-v1_36/(v1_40*v1_40)*a1_v1_41;
          a1_v1_39=a1_v1_40;
          a1_v1_37=a1_v1_39; a1_v1_38=a1_v1_39;
          a1_x[7-1]=a1_x[7-1]+a1_v1_37;
          a1_v1_35=a1_v1_36;
          a1_v1_33=v1_34*a1_v1_35; a1_v1_34=v1_33*a1_v1_35;
          a1_v1_28=v1_29*a1_v1_30; a1_v1_29=v1_28*a1_v1_30;
          a1_x[2-1]=a1_x[2-1]+a1_v1_29;
          a1_v1_26=v1_27*a1_v1_28; a1_v1_27=v1_26*a1_v1_28;
          a1_x[1-1]=a1_x[1-1]+a1_v1_27;
          a1_v1_11=v1_25*a1_v1_26; a1_v1_25=v1_11*a1_v1_26;
          a1_v1_24=a1_v1_25;
          a1_v1_12=v1_23*a1_v1_24; a1_v1_23=v1_12*a1_v1_24;
          a1_v1_22=v1_23*a1_v1_23;
          a1_v1_21=-a1_v1_22;
          a1_v1_16=1/v1_20*a1_v1_21; a1_v1_20=0-v1_16/(v1_20*v1_20)*a1_v1_21;
          a1_v1_19=a1_v1_20;
          a1_v1_17=a1_v1_19; a1_v1_18=a1_v1_19;
          a1_x[7-1]=a1_x[7-1]+a1_v1_17;
          a1_v1_15=a1_v1_16;
          a1_v1_13=v1_14*a1_v1_15; a1_v1_14=v1_13*a1_v1_15;
          a1_b2=a1_b2+a1_v1_13;
          a1_v1_9=-a1_v1_10;
          a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
          a1_Fbin=a1_Fbin+a1_v1_8;
          a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
          a1_x[3-1]=a1_x[3-1]+a1_v1_6;
          a1_v1_0=1/v1_4*a1_v1_5; a1_v1_4=0-v1_0/(v1_4*v1_4)*a1_v1_5;
          a1_v1_3=a1_v1_4;
          a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
          a1_x[8-1]=a1_x[8-1]+a1_v1_2;
          FDS_POP(f[2-1]); 
          v1_0=1e+0;
          v1_1=1000e+0;
          v1_2=x[8-1];
          v1_3=v1_1*v1_2;
          v1_4=v1_3;
          v1_5=v1_0/v1_4;
          v1_6=Fbin;
          v1_7=v1_5*v1_6;
          v1_8=1;
          v1_9=x[2-1];
          v1_10=v1_8-v1_9;
          v1_11=v1_10;
          v1_12=v1_7*v1_11;
          v1_13=1.6599e+6;
          v1_14=b2;
          v1_15=1e+3;
          v1_16=v1_14*v1_15;
          v1_17=v1_16;
          v1_18=x[7-1];
          v1_19=273.15;
          v1_20=v1_18+v1_19;
          v1_21=v1_20;
          v1_22=v1_17/v1_21;
          v1_23=-v1_22;
          v1_24=exp(v1_23);
          v1_25=v1_13*v1_24;
          v1_26=v1_25;
          v1_27=x[1-1];
          v1_28=v1_26*v1_27;
          v1_29=x[2-1];
          v1_30=v1_28*v1_29;
          v1_31=7.2117e+8;
          v1_32=8.3333;
          v1_33=1e+3;
          v1_34=v1_32*v1_33;
          v1_35=v1_34;
          v1_36=x[7-1];
          v1_37=273.15;
          v1_38=v1_36+v1_37;
          v1_39=v1_38;
          v1_40=v1_35/v1_39;
          v1_41=-v1_40;
          v1_42=exp(v1_41);
          v1_43=v1_31*v1_42;
          v1_44=v1_43;
          v1_45=x[2-1];
          v1_46=v1_44*v1_45;
          v1_47=x[3-1];
          v1_48=v1_46*v1_47;
          v1_49=v1_30+v1_48;
          v1_50=v1_49;
          v1_51=v1_12-v1_50;
          v1_52=v1_51;
          a1_v1_52=a1_f[2-1]; a1_f[2-1]=0;
          a1_v1_51=a1_v1_52;
          a1_v1_12=a1_v1_51; a1_v1_50=0-a1_v1_51;
          a1_v1_49=a1_v1_50;
          a1_v1_30=a1_v1_49; a1_v1_48=a1_v1_49;
          a1_v1_46=v1_47*a1_v1_48; a1_v1_47=v1_46*a1_v1_48;
          a1_x[3-1]=a1_x[3-1]+a1_v1_47;
          a1_v1_44=v1_45*a1_v1_46; a1_v1_45=v1_44*a1_v1_46;
          a1_x[2-1]=a1_x[2-1]+a1_v1_45;
          a1_v1_43=a1_v1_44;
          a1_v1_31=v1_42*a1_v1_43; a1_v1_42=v1_31*a1_v1_43;
          a1_v1_41=v1_42*a1_v1_42;
          a1_v1_40=-a1_v1_41;
          a1_v1_35=1/v1_39*a1_v1_40; a1_v1_39=0-v1_35/(v1_39*v1_39)*a1_v1_40;
          a1_v1_38=a1_v1_39;
          a1_v1_36=a1_v1_38; a1_v1_37=a1_v1_38;
          a1_x[7-1]=a1_x[7-1]+a1_v1_36;
          a1_v1_34=a1_v1_35;
          a1_v1_32=v1_33*a1_v1_34; a1_v1_33=v1_32*a1_v1_34;
          a1_v1_28=v1_29*a1_v1_30; a1_v1_29=v1_28*a1_v1_30;
          a1_x[2-1]=a1_x[2-1]+a1_v1_29;
          a1_v1_26=v1_27*a1_v1_28; a1_v1_27=v1_26*a1_v1_28;
          a1_x[1-1]=a1_x[1-1]+a1_v1_27;
          a1_v1_25=a1_v1_26;
          a1_v1_13=v1_24*a1_v1_25; a1_v1_24=v1_13*a1_v1_25;
          a1_v1_23=v1_24*a1_v1_24;
          a1_v1_22=-a1_v1_23;
          a1_v1_17=1/v1_21*a1_v1_22; a1_v1_21=0-v1_17/(v1_21*v1_21)*a1_v1_22;
          a1_v1_20=a1_v1_21;
          a1_v1_18=a1_v1_20; a1_v1_19=a1_v1_20;
          a1_x[7-1]=a1_x[7-1]+a1_v1_18;
          a1_v1_16=a1_v1_17;
          a1_v1_14=v1_15*a1_v1_16; a1_v1_15=v1_14*a1_v1_16;
          a1_b2=a1_b2+a1_v1_14;
          a1_v1_7=v1_11*a1_v1_12; a1_v1_11=v1_7*a1_v1_12;
          a1_v1_10=a1_v1_11;
          a1_v1_8=a1_v1_10; a1_v1_9=0-a1_v1_10;
          a1_x[2-1]=a1_x[2-1]+a1_v1_9;
          a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
          a1_Fbin=a1_Fbin+a1_v1_6;
          a1_v1_0=1/v1_4*a1_v1_5; a1_v1_4=0-v1_0/(v1_4*v1_4)*a1_v1_5;
          a1_v1_3=a1_v1_4;
          a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
          a1_x[8-1]=a1_x[8-1]+a1_v1_2;
          FDS_POP(f[1-1]); 
          v1_0=1e+0;
          v1_1=1000e+0;
          v1_2=x[8-1];
          v1_3=v1_1*v1_2;
          v1_4=v1_3;
          v1_5=v1_0/v1_4;
          v1_6=x[1-1];
          v1_7=v1_5*v1_6;
          v1_8=Fbin;
          v1_9=v1_7*v1_8;
          v1_10=-v1_9;
          v1_11=1.6599e+6;
          v1_12=b2;
          v1_13=1e+3;
          v1_14=v1_12*v1_13;
          v1_15=v1_14;
          v1_16=x[7-1];
          v1_17=273.15;
          v1_18=v1_16+v1_17;
          v1_19=v1_18;
          v1_20=v1_15/v1_19;
          v1_21=-v1_20;
          v1_22=exp(v1_21);
          v1_23=v1_11*v1_22;
          v1_24=v1_23;
          v1_25=x[1-1];
          v1_26=v1_24*v1_25;
          v1_27=x[2-1];
          v1_28=v1_26*v1_27;
          v1_29=v1_10-v1_28;
          v1_30=v1_29;
          a1_v1_30=a1_f[1-1]; a1_f[1-1]=0;
          a1_v1_29=a1_v1_30;
          a1_v1_10=a1_v1_29; a1_v1_28=0-a1_v1_29;
          a1_v1_26=v1_27*a1_v1_28; a1_v1_27=v1_26*a1_v1_28;
          a1_x[2-1]=a1_x[2-1]+a1_v1_27;
          a1_v1_24=v1_25*a1_v1_26; a1_v1_25=v1_24*a1_v1_26;
          a1_x[1-1]=a1_x[1-1]+a1_v1_25;
          a1_v1_23=a1_v1_24;
          a1_v1_11=v1_22*a1_v1_23; a1_v1_22=v1_11*a1_v1_23;
          a1_v1_21=v1_22*a1_v1_22;
          a1_v1_20=-a1_v1_21;
          a1_v1_15=1/v1_19*a1_v1_20; a1_v1_19=0-v1_15/(v1_19*v1_19)*a1_v1_20;
          a1_v1_18=a1_v1_19;
          a1_v1_16=a1_v1_18; a1_v1_17=a1_v1_18;
          a1_x[7-1]=a1_x[7-1]+a1_v1_16;
          a1_v1_14=a1_v1_15;
          a1_v1_12=v1_13*a1_v1_14; a1_v1_13=v1_12*a1_v1_14;
          a1_b2=a1_b2+a1_v1_12;
          a1_v1_9=-a1_v1_10;
          a1_v1_7=v1_8*a1_v1_9; a1_v1_8=v1_7*a1_v1_9;
          a1_Fbin=a1_Fbin+a1_v1_8;
          a1_v1_5=v1_6*a1_v1_7; a1_v1_6=v1_5*a1_v1_7;
          a1_x[1-1]=a1_x[1-1]+a1_v1_6;
          a1_v1_0=1/v1_4*a1_v1_5; a1_v1_4=0-v1_0/(v1_4*v1_4)*a1_v1_5;
          a1_v1_3=a1_v1_4;
          a1_v1_1=v1_2*a1_v1_3; a1_v1_2=v1_1*a1_v1_3;
          a1_x[8-1]=a1_x[8-1]+a1_v1_2;
          FDS_POP(Tw); 
          v1_0=u[1];
          a1_v1_0=a1_Tw; a1_Tw=0;
          a1_u[1]=a1_u[1]+a1_v1_0;
          FDS_POP(Fbin); 
          v1_0=u[0];
          a1_v1_0=a1_Fbin; a1_Fbin=0;
          a1_u[0]=a1_u[0]+a1_v1_0;

        }
      }
   }
   if (bmode_1==2) {
      #include "rhs_store_inputs.inc"
      rhs(f, x, u);
   }
}
